Package twisted :: Package protocols :: Module dict

[frames | no frames]

## Module twisted.protocols.dict

Dict client protocol implementation.

Author: Pavel Pergamenshchik

Classes
`Definition` | A word definition
`DictClient` | dict (RFC2229) client
`DictLookup` | Utility class for a single dict transaction.
`DictLookupFactory` | Utility factory for a single dict transaction

Exceptions
`InvalidResponse` |

Function Summary
| ``define`(host, port, database, word)` Look up a word using a dict server
| ``makeAtom`(line)` Munch a string into an 'atom'
| `makeWord(s)`
| ``match`(host, port, database, strategy, word)` Match a word using a dict server
| ``parseParam`(line)` Chew one dqstring or atom from beginning of line and return (param, remaningline)
| `parseText(line)`

Function Details

### define(host, port, database, word)

Look up a word using a dict server

### makeAtom(line)

Munch a string into an 'atom'

### match(host, port, database, strategy, word)

Match a word using a dict server

### parseParam(line)

Chew one dqstring or atom from beginning of line and return (param, remaningline)

Generated by Epydoc 2.0 on Sat May 15 20:08:04 2004 | http://epydoc.sf.net